<?php 

function syrus_theme_init(){
    $syrusActions = new SyrusActions();
    return $syrusActions->action_init();
}

function syrus_theme_admin_menu(){
    $syrusActions = new SyrusActions();
    return $syrusActions->action_admin_menu();
}

function syrus_theme_menu_general_page() {
    $syrusActions = new SyrusActions();
    return $syrusActions->menu_general_page();
}

function syrus_theme_menu_page(){
    $syrusActions = new SyrusActions();
    return $syrusActions->menu_page();
}

function syrus_theme_menu_ads_page(){
    $syrusActions = new SyrusActions();
    return $syrusActions->menu_ads_page();
}
  
function syrus_theme_menu_robots_ads_txt_page(){
    $syrusActions = new SyrusActions();
    return $syrusActions->menu_robots_ads_txt_page();
}

function syrus_theme_menu_upload_media_page(){
    $syrusActions = new SyrusActions();
    return $syrusActions->menu_upload_media_page();
}
  
function syrus_theme_menu_social_page(){
    $syrusActions = new SyrusActions();
    return $syrusActions->menu_social_page();
}

function syrus_theme_load_widget(){
    $syrusActions = new SyrusActions();
    return $syrusActions->action_widgets_init();
}
  
function syrus_theme_rest_api_init() {
    $syrusActions = new SyrusActions();
    return $syrusActions->action_rest_api_init();
}

function syrus_theme_rest_api_version(WP_REST_Request $request) {
    $syrusRestApi = new SyrusRestApi();
    return $syrusRestApi->rest_api_version($request);
}
  
function syrus_theme_rest_api_language(WP_REST_Request $request) {
    $syrusRestApi = new SyrusRestApi();
    return $syrusRestApi->rest_api_language($request);
}

function syrus_theme_rest_api_timezone(WP_REST_Request $request) {
    $syrusRestApi = new SyrusRestApi();
    return $syrusRestApi->rest_api_timezone($request);
}

function get_syrus_theme_css_dir(){
    $syrus = new Syrus();
    return $syrus->get_css_dir();
}
  
function get_syrus_theme_js_dir(){
    $syrus = new Syrus();
    return $syrus->get_js_dir();
}
  
function get_syrus_theme_img_dir($img_name = ""){
    $syrus = new Syrus();
    return $syrus->get_img_dir($img_name);
}

function syrus_theme_register_css(){
    $syrusAssetsHandler = new SyrusAssetsHandler();
    return $syrusAssetsHandler->register_css();
}
  
function syrus_theme_enqueue_css(){
    $syrusAssetsHandler = new SyrusAssetsHandler();
    return $syrusAssetsHandler->enqueue_css();
}

function syrus_theme_admin_scripts(){
    $syrusActions = new SyrusActions();
    return $syrusActions->action_admin_enqueue_scripts();
}

function syrus_theme_register_js(){
    $syrusAssetsHandler = new SyrusAssetsHandler();
    return $syrusAssetsHandler->register_js();
}
  
function syrus_theme_enqueue_js(){
    $syrusAssetsHandler = new SyrusAssetsHandler();
    return $syrusAssetsHandler->enqueue_js();
}
  
function st_has_nav_menu($menu){
    $syrus = new Syrus();
    return $syrus->has_nav_menu($menu);
}

function st_get_current_main_menu_name(){
    $syrus = new Syrus();
    return $syrus->get_current_main_menu_name();
}

function syrus_theme_thumb_img($params = []){
    $syrus = new Syrus();
    return $syrus->thumb_img($params);
}

function syrus_theme_post_reading_time() {
    $syrus = new Syrus();
    return $syrus->post_reading_time();
}

function syrus_theme_post_author(){
    $syrus = new Syrus();
    return $syrus->post_author();
}

function syrus_theme_post_category_list($no_link = true){
    $syrus = new Syrus();
    return $syrus->post_category_list($no_link);
}

function syrus_theme_single_post(){
    $syrusActions = new SyrusActions();
    return $syrusActions->custom_single_post_content();
}

function syrus_theme_related_posts(){
    $syrusActions = new SyrusActions();
    return $syrusActions->custom_related_posts();
}

function syrus_theme_single_page(){
    $syrusActions = new SyrusActions();
    return $syrusActions->custom_single_page_content();
}

function syrus_theme_home(){
    $syrusActions = new SyrusActions();
    return $syrusActions->custom_home_content();
}

function syrus_theme_error_404(){
    $syrusActions = new SyrusActions();
    return $syrusActions->custom_error_404();
}
  
function syrus_theme_footer(){
    $syrus = new Syrus();
    return $syrus->footer();
}
  
function syrus_theme_post_excerpt(){
    $syrus = new Syrus();
    return $syrus->post_excerpt();
}

function st_get_network_syrus_sites(){
    $syrus = new Syrus();
    return $syrus->get_network_syrus_sites();
}

function syrus_theme_get_categories_for_sidebar(){
    $syrus = new Syrus();
    return $syrus->get_categories_for_sidebar();
}

function syrus_theme_get_template_parts_admin($file = ""){
    $syrus = new Syrus();
    return $syrus->get_template_parts_admin($file);
}
  
function syrus_theme_add_admin_post_action(){
    $syrusPostHandler = new SyrusPostHandler();
    return $syrusPostHandler->initialize();
}
  
function syrus_theme_add_ajax_post_action(){
    $syrusAjaxHandler = new SyrusAjaxHandler();
    return $syrusAjaxHandler->initialize();
}

function syrus_theme_show_virtual_ads_txt(){
    $syrus = new Syrus();
    $syrus->show_virtual_ads_txt();
}
  
function syrus_theme_show_virtual_robots_txt($output, $public){
    $syrusFilters = new SyrusFilters();
    return $syrusFilters->show_virtual_robots_txt($output, $public);
}

function syrus_theme_infinite_scroll_new_posts_in_home() {
    $syrusAjaxHandler = new SyrusAjaxHandler();
    return $syrusAjaxHandler->infinite_scroll_new_posts_in_home();
}

function syrus_theme_infinite_scroll_new_post(){
    $syrusAjaxHandler = new SyrusAjaxHandler();
    return $syrusAjaxHandler->infinite_scroll_new_post();
}

function syrus_theme_includi($percorso_file, $variabili = array(), $stampa = false){
    $syrus = new Syrus();
    return $syrus->_includi($percorso_file, $variabili, $stampa);
}

function syrus_theme_query_vars($query_vars){
    $syrusFilters = new SyrusFilters();
    return $syrusFilters->query_vars($query_vars);
}

function syrus_theme_messaggio_plugin_necessari(){
    $syrusActions = new SyrusActions();
    return $syrusActions->action_admin_notices();
}

function syrus_theme_preload_resources(){
    $syrus = new Syrus();
    return $syrus->preload_resources();
}

function syrus_theme_topnav(){
    $syrus = new Syrus();
    return $syrus->topnav();
}
  
function syrus_theme_get_custom_logo_url() {
    $syrus = new Syrus();
    return $syrus->get_custom_logo_url();
}

function syrus_theme_replace_span_tags($text){
    $syrusFilters = new SyrusFilters();
    return $syrusFilters->replace_span_tags($text);
}

function syrus_theme_add_post_submitbox_misc_actions($post) { 
    $syrusActions = new SyrusActions();
    return $syrusActions->action_post_submitbox_misc_actions($post);
}

function syrus_theme_check_post($post_id,$post) {
    $syrusActions = new SyrusActions();
    return $syrusActions->action_save_post_post($post_id, $post);
}

function syrus_theme_dismiss_notice() {
    $syrusPostHandler = new SyrusPostHandler();
    return $syrusPostHandler->dismiss_notice_syrus();
}
  
function syrus_theme_make_WordPress_Happy() {
    $syrus = new Syrus();
    return $syrus->make_WordPress_Happy();
}

function syrus_theme_init_widgets(){
    $syrusActions = new SyrusActions();
    return $syrusActions->action_widgets_init();
}

function syrus_theme_init_sidebar(){
    $syrusActions = new SyrusActions();
    return $syrusActions->action_widgets_init();
}

function syrus_theme_redirect(){
    $syrusActions = new SyrusActions();
    return $syrusActions->action_template_redirect();
}

function syrus_theme_add_meta_boxes(){
    $syrusActions = new SyrusActions();
    return $syrusActions->action_add_meta_boxes();
}

function syrus_theme_salva_impostazioni_ads(){
    $syrusPostHandler = new SyrusPostHandler();
    return $syrusPostHandler->salva_impostazioni_ads();
}

function syrus_theme_get_option($context,$opt,$print = false){
    $syrus = new Syrus();
    return $syrus->get_option($context,$opt,$print);
}

function syrus_theme_salva_robots_ads_txt(){
    $syrusPostHandler = new SyrusPostHandler();
    return $syrusPostHandler->salva_robots_ads_txt();
}

function syrus_theme_salva_impostazioni_generali(){
    $syrusPostHandler = new SyrusPostHandler();
    return $syrusPostHandler->salva_impostazioni_generali();
}

function syrus_theme_salva_impostazioni_social(){
    $syrusPostHandler = new SyrusPostHandler();
    return $syrusPostHandler->salva_impostazioni_social();
}

function syrus_theme_salva_impostazioni_cap_media(){
    $syrusPostHandler = new SyrusPostHandler();
    return $syrusPostHandler->salva_impostazioni_cap_media();
}

function get_st_impostazioni_testi_footer_customizer(){
    return SyrusCustomizer::get_impostazioni_testi_footer();
}
  
function syrus_theme_customize_register($wp_customize){
    $syrusActions = new SyrusActions();
    return $syrusActions->action_customize_register($wp_customize);
}

function st_registra_impostazioni_header_menu($wp_customize){

}

function st_registra_impostazioni_header_logo($wp_customize){

}
  
function st_registra_impostazioni_motto($wp_customize){

}
  
function st_registra_impostazioni_footer($wp_customize){

}
  
function st_registra_impostazioni_error_404($wp_customize){

}
  
function st_registra_impostazioni_generali($wp_customize){

}
  
function st_registra_impostazioni_homepage($wp_customize) {

}